View Issue Details

IDProjectCategoryView StatusLast Update
0000515FakturamaProdukte (Products)public2018-06-21 14:48
Reporterdev@mcbsolutions.atAssigned Torheydenr  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.6.8 
Target Version2.0.3Fixed in Version2.0.3 
Summary0000515: [FAK-516 (alt)] Währungssymbol beim wechseln des Arbeitsverzeichnisses
Description

Ich habe 2 Arbeitsverzeichnisse. Eins für € und eines für CHF. Dies ist auch unter Einstellungen / Allgemein / Währungssymbol so eingestellt.
Wenn ich nun von einem in das andere Verzins wechsle, z.B. von € nach CHF, dann zeigt mir die Produktliste nach dem Neustart weiterhin das € Symbol an. Erst nach weiterem Beenden des Programms und anschließendem Neustart wird CHF wie eingestellt angezeigt.

Steps To Reproduce
  • 2 Verschiedene Arbeitsverzeichnisse.
  • Unterschiedliche Einstellung bei "Einstellungen / Allgemein / Währungssymbol"
  • Wechsel des Arbeitsverzeichnisses
  • öffne Produktliste
Additional Information

übrigens wird das Beispiel für den Geldbetrag im Einstellungsdialog noch nicht angepaßt bei Änderung der
Nachkommastellen (dazu sind einige Änderungen in den APIs notwendig, die eigentliche Mechanik funktioniert trotzdem)

TagsNo tags attached.

Activities

rheydenr

2016-07-03 23:59

administrator   ~0000570

Last edited: 2018-06-08 12:28

View 2 revisions

Problem ist bekannt, es hängt an dem Anwendungs-Cache, den Eclipse intern mitführt und der die Darstellung beeinflußt (das betrifft auch die Umstellung der Sprache)

dev@mcbsolutions.at

2016-07-04 08:26

viewer   ~0000571

Last edited: 2018-06-08 12:28

View 2 revisions

Nur so eine Idee:
Es gibt bei Eclipse den Parameter -clean (löscht den Cache). Dieser könnte beim Neustart von Fakturama, beim Verzeichniswechsel/Sprachumschaltung, mitgegeben werden.

rheydenr

2016-08-24 00:04

administrator   ~0000572

Last edited: 2018-06-08 12:29

View 2 revisions

Das putzt IMHO aber auch die ganzen Einstellungen mit weg. Besser ist hier wahrscheinlich ein -clearPersistedState. Muß ich nochmal checken.

rheydenr

2018-05-26 21:39

administrator   ~0000746

Das Problem ist etwas umfangreicher als ursprünglich gedacht. In diesem Zusammenhang muß beispielsweise die Mechanik der internen Helper-Klassen umgestellt werden (von Singletons auf OSGi-Services). Das ist etwas mehr Aufwand, deswegen wurde das Ticket zwei Versionen nach hinten verschoben.

rheydenr

2018-06-11 12:49

administrator   ~0000764

Last edited: 2018-06-21 14:48

View 3 revisions

Problem wurde behoben. Allerdings sind die Singletons immer noch keine Services, das muß noch umgestellt werden. Das eigentliche Problem ist aber hiermit gelöst.

Issue History

Date Modified Username Field Change
2017-12-30 00:08 rheydenr New Issue
2017-12-30 00:08 rheydenr Status new => assigned
2017-12-30 00:08 rheydenr Assigned To => rheydenr
2017-12-30 00:08 rheydenr Note Added: 0000570
2017-12-30 00:08 rheydenr Note Added: 0000571
2017-12-30 00:08 rheydenr Note Added: 0000572
2017-12-30 00:08 rheydenr Description Updated View Revisions
2017-12-30 00:08 rheydenr Steps to Reproduce Updated View Revisions
2017-12-30 03:09 rheydenr Severity minor => feature
2017-12-30 22:44 rheydenr Target Version 2.1.0 => 2.0.2
2018-02-02 09:52 rheydenr Steps to Reproduce Updated View Revisions
2018-02-02 09:52 rheydenr Additional Information Updated View Revisions
2018-05-26 21:39 rheydenr Target Version 2.0.2 => 2.0.4
2018-05-26 21:39 rheydenr Description Updated View Revisions
2018-05-26 21:39 rheydenr Note Added: 0000746
2018-06-08 12:28 rheydenr Note Edited: 0000570 View Revisions
2018-06-08 12:28 rheydenr Note Edited: 0000571 View Revisions
2018-06-08 12:29 rheydenr Note Edited: 0000572 View Revisions
2018-06-11 12:49 rheydenr Status assigned => resolved
2018-06-11 12:49 rheydenr Resolution open => fixed
2018-06-11 12:49 rheydenr Fixed in Version 2.1.0 => 2.0.3
2018-06-11 12:49 rheydenr Note Added: 0000764
2018-06-11 12:50 rheydenr Target Version 2.0.4 => 2.0.3
2018-06-20 11:50 rheydenr Note Edited: 0000764 View Revisions
2018-06-21 14:48 rheydenr Note Edited: 0000764 View Revisions